VULKAN_HPP_NAMESPACE::BufferMemoryBarrier Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::BufferMemoryBarrier:
[legend]

## Public Member Functions

| BufferMemoryBarrier (AccessFlags srcAccessMask_=AccessFlags(), AccessFlags dstAccessMask_=AccessFlags(), uint32_t srcQueueFamilyIndex_=0, uint32_t dstQueueFamilyIndex_=0, Buffer buffer_=Buffer(), DeviceSize offset_=0, DeviceSize size_=0)
| BufferMemoryBarrier (VkBufferMemoryBarrier const &rhs)
BufferMemoryBarrier & | operator= (VkBufferMemoryBarrier const &rhs)
BufferMemoryBarrier & | setPNext (const void *pNext_)
BufferMemoryBarrier & | setSrcAccessMask (AccessFlags srcAccessMask_)
BufferMemoryBarrier & | setDstAccessMask (AccessFlags dstAccessMask_)
BufferMemoryBarrier & | setSrcQueueFamilyIndex (uint32_t srcQueueFamilyIndex_)
BufferMemoryBarrier & | setDstQueueFamilyIndex (uint32_t dstQueueFamilyIndex_)
BufferMemoryBarrier & | setBuffer (Buffer buffer_)
BufferMemoryBarrier & | setOffset (DeviceSize offset_)
BufferMemoryBarrier & | setSize (DeviceSize size_)
| operator VkBufferMemoryBarrier const & () const
| operator VkBufferMemoryBarrier & ()
bool | operator== (BufferMemoryBarrier const &rhs) const
bool | operator!= (BufferMemoryBarrier const &rhs) const

## Data Fields

const void * | pNext = nullptr
AccessFlags | srcAccessMask
AccessFlags | dstAccessMask
uint32_t | srcQueueFamilyIndex
uint32_t | dstQueueFamilyIndex
Buffer | buffer
DeviceSize | offset
DeviceSize | size

## Private Attributes

StructureType | sType = StructureType::eBufferMemoryBarrier

## Detailed Description

Definition at line 22626 of file vulkan.hpp.

## Constructor & Destructor Documentation

## BufferMemoryBarrier() [1/2]

VULKAN_HPP_NAMESPACE::BufferMemoryBarrier::BufferMemoryBarrier | ( | AccessFlags | srcAccessMask_ = `AccessFlags()`,
|  | AccessFlags | dstAccessMask_ = `AccessFlags()`,
|  | uint32_t | srcQueueFamilyIndex_ = `0`,
|  | uint32_t | dstQueueFamilyIndex_ = `0`,
|  | Buffer | buffer_ = `Buffer()`,
|  | DeviceSize | offset_ = `0`,
|  | DeviceSize | size_ = `0`
| ) |  |

inline

Definition at line 22628 of file vulkan.hpp.

: srcAccessMask( srcAccessMask_ )
, dstAccessMask( dstAccessMask_ )
, srcQueueFamilyIndex( srcQueueFamilyIndex_ )
, dstQueueFamilyIndex( dstQueueFamilyIndex_ )
, buffer( buffer_ )
, offset( offset_ )
, size( size_ )
{
}

## BufferMemoryBarrier() [2/2]

VULKAN_HPP_NAMESPACE::BufferMemoryBarrier::BufferMemoryBarrier | ( | VkBufferMemoryBarrier const & | rhs | ) |

inline

Definition at line 22645 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( BufferMemoryBarrier ) );
}

References memcpy.

## Member Function Documentation

## operator VkBufferMemoryBarrier &()

VULKAN_HPP_NAMESPACE::BufferMemoryBarrier::operator VkBufferMemoryBarrier & | ( |  | ) |

inline

Definition at line 22708 of file vulkan.hpp.

{
return *reinterpret_cast<VkBufferMemoryBarrier*>(this);
}

## operator VkBufferMemoryBarrier const &()

VULKAN_HPP_NAMESPACE::BufferMemoryBarrier::operator VkBufferMemoryBarrier const & | ( |  | ) | const

inline

Definition at line 22703 of file vulkan.hpp.

{
return *reinterpret_cast<const VkBufferMemoryBarrier*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::BufferMemoryBarrier::operator!= | ( | BufferMemoryBarrier const & | rhs | ) | const

inline

Definition at line 22726 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

BufferMemoryBarrier& VULKAN_HPP_NAMESPACE::BufferMemoryBarrier::operator= | ( | VkBufferMemoryBarrier const & | rhs | ) |

inline

Definition at line 22650 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( BufferMemoryBarrier ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::BufferMemoryBarrier::operator== | ( | BufferMemoryBarrier const & | rhs | ) | const

inline

Definition at line 22713 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( srcAccessMask == rhs.srcAccessMask )
&& ( dstAccessMask == rhs.dstAccessMask )
&& ( srcQueueFamilyIndex == rhs.srcQueueFamilyIndex )
&& ( dstQueueFamilyIndex == rhs.dstQueueFamilyIndex )
&& ( buffer == rhs.buffer )
&& ( offset == rhs.offset )
&& ( size == rhs.size );
}

References buffer, dstAccessMask, dstQueueFamilyIndex, offset, pNext, size, srcAccessMask, srcQueueFamilyIndex, and sType.

Referenced by operator!=().

## setBuffer()

BufferMemoryBarrier& VULKAN_HPP_NAMESPACE::BufferMemoryBarrier::setBuffer | ( | Buffer | buffer_ | ) |

inline

Definition at line 22685 of file vulkan.hpp.

{
buffer = buffer_;
return *this;
}

## setDstAccessMask()

BufferMemoryBarrier& VULKAN_HPP_NAMESPACE::BufferMemoryBarrier::setDstAccessMask | ( | AccessFlags | dstAccessMask_ | ) |

inline

Definition at line 22667 of file vulkan.hpp.

{
dstAccessMask = dstAccessMask_;
return *this;
}

References dstAccessMask.

## setDstQueueFamilyIndex()

BufferMemoryBarrier& VULKAN_HPP_NAMESPACE::BufferMemoryBarrier::setDstQueueFamilyIndex | ( | uint32_t | dstQueueFamilyIndex_ | ) |

inline

Definition at line 22679 of file vulkan.hpp.

{
dstQueueFamilyIndex = dstQueueFamilyIndex_;
return *this;
}

References dstQueueFamilyIndex.

## setOffset()

BufferMemoryBarrier& VULKAN_HPP_NAMESPACE::BufferMemoryBarrier::setOffset | ( | DeviceSize | offset_ | ) |

inline

Definition at line 22691 of file vulkan.hpp.

{
offset = offset_;
return *this;
}

## setPNext()

BufferMemoryBarrier& VULKAN_HPP_NAMESPACE::BufferMemoryBarrier::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 22655 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## setSize()

BufferMemoryBarrier& VULKAN_HPP_NAMESPACE::BufferMemoryBarrier::setSize | ( | DeviceSize | size_ | ) |

inline

Definition at line 22697 of file vulkan.hpp.

{
size = size_;
return *this;
}

## setSrcAccessMask()

BufferMemoryBarrier& VULKAN_HPP_NAMESPACE::BufferMemoryBarrier::setSrcAccessMask | ( | AccessFlags | srcAccessMask_ | ) |

inline

Definition at line 22661 of file vulkan.hpp.

{
srcAccessMask = srcAccessMask_;
return *this;
}

References srcAccessMask.

## setSrcQueueFamilyIndex()

BufferMemoryBarrier& VULKAN_HPP_NAMESPACE::BufferMemoryBarrier::setSrcQueueFamilyIndex | ( | uint32_t | srcQueueFamilyIndex_ | ) |

inline

Definition at line 22673 of file vulkan.hpp.

{
srcQueueFamilyIndex = srcQueueFamilyIndex_;
return *this;
}

References srcQueueFamilyIndex.

## Field Documentation

## buffer

Buffer VULKAN_HPP_NAMESPACE::BufferMemoryBarrier::buffer

Definition at line 22740 of file vulkan.hpp.

Referenced by operator==().

## dstAccessMask

AccessFlags VULKAN_HPP_NAMESPACE::BufferMemoryBarrier::dstAccessMask

Definition at line 22737 of file vulkan.hpp.

Referenced by operator==(), and setDstAccessMask().

## dstQueueFamilyIndex

uint32_t VULKAN_HPP_NAMESPACE::BufferMemoryBarrier::dstQueueFamilyIndex

Definition at line 22739 of file vulkan.hpp.

Referenced by operator==(), and setDstQueueFamilyIndex().

## offset

DeviceSize VULKAN_HPP_NAMESPACE::BufferMemoryBarrier::offset

Definition at line 22741 of file vulkan.hpp.

Referenced by operator==().

## pNext

const void* VULKAN_HPP_NAMESPACE::BufferMemoryBarrier::pNext = nullptr

Definition at line 22735 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## size

DeviceSize VULKAN_HPP_NAMESPACE::BufferMemoryBarrier::size

Definition at line 22742 of file vulkan.hpp.

Referenced by operator==().

## srcAccessMask

AccessFlags VULKAN_HPP_NAMESPACE::BufferMemoryBarrier::srcAccessMask

Definition at line 22736 of file vulkan.hpp.

Referenced by operator==(), and setSrcAccessMask().

## srcQueueFamilyIndex

uint32_t VULKAN_HPP_NAMESPACE::BufferMemoryBarrier::srcQueueFamilyIndex

Definition at line 22738 of file vulkan.hpp.

Referenced by operator==(), and setSrcQueueFamilyIndex().

## sType

StructureType VULKAN_HPP_NAMESPACE::BufferMemoryBarrier::sType = StructureType::eBufferMemoryBarrier

private

Definition at line 22732 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

offset
GLintptr offset
Definition: SDL_opengl_glext.h:538
VkBufferMemoryBarrier
Definition: vulkan_core.h:2783
VULKAN_HPP_NAMESPACE::BufferMemoryBarrier::srcQueueFamilyIndex
uint32_t srcQueueFamilyIndex
Definition: vulkan.hpp:22738
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::BufferMemoryBarrier::dstQueueFamilyIndex
uint32_t dstQueueFamilyIndex
Definition: vulkan.hpp:22739
VULKAN_HPP_NAMESPACE::BufferMemoryBarrier::operator==
bool operator==(BufferMemoryBarrier const &rhs) const
Definition: vulkan.hpp:22713
buffer
GLuint buffer
Definition: SDL_opengl_glext.h:533
VULKAN_HPP_NAMESPACE::BufferMemoryBarrier::BufferMemoryBarrier
BufferMemoryBarrier(AccessFlags srcAccessMask_=AccessFlags(), AccessFlags dstAccessMask_=AccessFlags(), uint32_t srcQueueFamilyIndex_=0, uint32_t dstQueueFamilyIndex_=0, Buffer buffer_=Buffer(), DeviceSize offset_=0, DeviceSize size_=0)
Definition: vulkan.hpp:22628
size
GLsizeiptr size
Definition: SDL_opengl_glext.h:537
VULKAN_HPP_NAMESPACE::BufferMemoryBarrier::size
DeviceSize size
Definition: vulkan.hpp:22742
VULKAN_HPP_NAMESPACE::BufferMemoryBarrier::srcAccessMask
AccessFlags srcAccessMask
Definition: vulkan.hpp:22736
VULKAN_HPP_NAMESPACE::BufferMemoryBarrier::sType
StructureType sType
Definition: vulkan.hpp:22732
VULKAN_HPP_NAMESPACE::BufferMemoryBarrier::buffer
Buffer buffer
Definition: vulkan.hpp:22740
VULKAN_HPP_NAMESPACE::BufferMemoryBarrier::offset
DeviceSize offset
Definition: vulkan.hpp:22741
VULKAN_HPP_NAMESPACE::BufferMemoryBarrier::pNext
const void * pNext
Definition: vulkan.hpp:22735
VULKAN_HPP_NAMESPACE::BufferMemoryBarrier::dstAccessMask
AccessFlags dstAccessMask
Definition: vulkan.hpp:22737